Xerces-C++: DOMUserDataHandler Class Reference

Xerces-C++ 3.2.3

List of all members
DOMUserDataHandler Class Referenceabstract

When associating an object to a key on a node using `setUserData` the application can provide a handler that gets called when the node the object is associated to is being cloned or imported. More...

## Public Types
Public Constants
enum | DOMOperationType { NODE_CLONED = 1, NODE_IMPORTED = 2, NODE_DELETED = 3, NODE_RENAMED = 4, NODE_ADOPTED = 5 }
| Operation Type. More...

## Public Member Functions
Destructor
virtual | ~DOMUserDataHandler ()
| Destructor. More...
Functions introduced in DOM Level 3
virtual void | handle (DOMOperationType operation, const XMLCh *const key, void *data, const DOMNode *src, DOMNode *dst)=0
| This method is called whenever the node for which this handler is registered is imported or cloned. More...

## Protected Member Functions
Hidden constructors
| DOMUserDataHandler ()

## Detailed Description

When associating an object to a key on a node using `setUserData` the application can provide a handler that gets called when the node the object is associated to is being cloned or imported.

This can be used by the application to implement various behaviors regarding the data it associates to the DOM nodes. This interface defines that handler.

See also the Document Object Model (DOM) Level 3 Core Specification.

Since
  DOM Level 3

## Member Enumeration Documentation

## ◆ DOMOperationType

enum DOMUserDataHandler::DOMOperationType

Operation Type.

`NODE_CLONED:` The node is cloned.

`NODE_IMPORTED` The node is imported.

`NODE_DELETED` The node is deleted.

`NODE_RENAMED` The node is renamed.

`NODE_ADOPTED` The node is adopted.

Since
  DOM Level 3

Enumerator
NODE_CLONED |
NODE_IMPORTED |
NODE_DELETED |
NODE_RENAMED |
NODE_ADOPTED |

## Constructor & Destructor Documentation

## ◆ DOMUserDataHandler()

DOMUserDataHandler::DOMUserDataHandler | ( |  | ) |
| protected

## ◆ ~DOMUserDataHandler()

virtual DOMUserDataHandler::~DOMUserDataHandler | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ handle()

virtual void DOMUserDataHandler::handle | ( | DOMOperationType | operation,
|  | const XMLCh *const | key,
|  | void * | data,
|  | const DOMNode * | src,
|  | DOMNode * | dst
| ) |  |
| pure virtual

This method is called whenever the node for which this handler is registered is imported or cloned.

Parameters

  operation | Specifies the type of operation that is being performed on the node.
  key | Specifies the key for which this handler is being called.
  data | Specifies the data for which this handler is being called.
  src | Specifies the node being cloned, adopted, imported, or renamed. This is `null` when the node is being deleted.
  dst | Specifies the node newly created if any, or `null`.

Since
  DOM Level 3

The documentation for this class was generated from the following file:

- DOMUserDataHandler.hpp